FROM maven:3.6.0-jdk-8

RUN curl -sL https://deb.nodesource.com/setup_11.x | bash -

RUN apt-get update -qq

RUN apt-get install -qq -y nodejs

RUN apt-get install -qq -y gcc make libpng-dev

ADD . /application
WORKDIR /application

EXPOSE 8080

CMD ["bash", "run.sh"]